#ifndef __GPOD_MANAGER_H__
#define __GPOD_MANAGER_H__

#include "gpod-feed.h"
#include "gpod-feed-channel.h"
#include "gpod-feed-item.h"

#include <tracker-sparql.h>

#include <glib.h>
#include <glib-object.h>

G_BEGIN_DECLS

#define GPOD_TYPE_MANAGER (gpod_manager_get_type ())

G_DECLARE_FINAL_TYPE (GpodManager, gpod_manager, GPOD, MANAGER, GObject)

GpodManager *
gpod_manager_new ();

void
gpod_manager_setting_add_feed (GpodManager *self,
                               gchar       *url);

gchar **
gpod_manager_setting_get_feeds (GpodManager *self);

GList *
gpod_manager_setting_get_feeds_as_glist (GpodManager *self);



void
gpod_manager_add_feed_by_url (GpodManager *self,
                              gchar       *feed_url);

void
gpod_manager_get_feed_by_url (GpodManager *self,
                              gchar       *feed_url);

GList *
gpod_manager_get_feeds (GpodManager *self);

GList *
gpod_manager_get_feed_items (GpodManager *self);

G_END_DECLS

#endif /* __GPOD_MANAGER_H__ */
