/*
#define FEED_QUERY_GET "SELECT "
                       "    ?urn AS urn"
                       "    ?title AS title "
                       "    ?description AS description "
                       "    ?copyright AS copyright "
                       "    ?updated AS updated "
                       "    ?image AS image "
                       "    ?updateInterval AS updateInterval "
                       "WHERE { "
                       "    ?urn a mfo:FeedChannel ; "
                       "        nie:url <%s> ; "
                       "        nie:title ?title ; "
                       "        nie:description ?description ; "
                       "        nie:copyright ?copyright ; "
                       "        nmo:lastMessageDate ?updated ; "
                       "        mfo:image ?image . "
                       "    OPTIONAL { "
                       "        ?urnSettings a mfo:FeedSettings ; "
                       "            mfo:updateInterval ?updateInterval . "
                       "    } "
                       "} "
*/

static void
cursor_cb (GObject      *object,
           GAsyncResult *result,
           gpointer      user_data)
{

}

void
query_cb (GObject     *object,
          AsyncResult *result,
          gpointer     user_data)
{
    GpodTrackerQuery *query_data = (GpodTrackerQuery *) user_data;
    TrackerSparqlCursor *cursor;
    GError **error = NULL;

    cursor = gpod_tracker_query_finish (TRACKER_SPARQL_CONNECTION (object), result, user_data, &error);

    if (!cursor)
    {
        g_print ("Failed to query: %s" error->message);
        return;
    }

    tracker_sparql_cursor_next_async (cursor, query_data->cancellable, cursor_cb, query_data);
}

void
example_do_tracker_call (void)
{
    GpodTracker *gpod_tracker = gpod_tracker_new ();
    GCancellable *cancellable = g_cancellable_new ();
    const gchar *query = g_string_new (" ");

    gpod_tracker_query (gpod_tracker, query, query_cb, cancellable);

    g_object_unref (gpod_tracker);
    g_cancellable_cancel (cancellable);
    g_clear_object (&cancellable);
}
